Bug 223760 - net-mgmt/collectd5: create java option
Summary: net-mgmt/collectd5: create java option
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-11-20 02:03 UTC by Steve Wills
Modified: 2021-05-03 01:19 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (ports)


Attachments
patch to add java option and disable perl when disabled (2.14 KB, patch)
2017-11-20 02:03 UTC, Steve Wills
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Steve Wills freebsd_committer 2017-11-20 02:03:42 UTC
Created attachment 188133 [details]
patch to add java option and disable perl when disabled

Attached patch create JAVA option for net-mgmt/collectd5. While here, also ensure perl is disabled when the option is deselected, even if perl happens to be installed.

BTW, since perl and python end up as build deps, it might make sense to make those options enabled by default.
Comment 1 Krzysztof 2017-11-21 09:54:14 UTC
Hi,

Please wait 1-2 days. I'm finishing patch because of new version of collectd. So I will merge your patch to mine.

When I'll make a new "bug" I think this should be closed.
Comment 2 Krzysztof 2017-11-21 18:00:37 UTC
There is update of collectd5 with your patch. You can see bug #223789 

So please close this bug as duplicate
Comment 3 commit-hook freebsd_committer 2021-05-03 01:19:45 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=ad446ee6f0854ce91ff200e872c4aafbd7b5eede

commit ad446ee6f0854ce91ff200e872c4aafbd7b5eede
Author:     David Thiel <lx@FreeBSD.org>
AuthorDate: 2021-05-03 00:46:51 +0000
Commit:     David Thiel <lx@FreeBSD.org>
CommitDate: 2021-05-03 01:04:36 +0000

    Remove ncrack from tree.

    PR:             223760
    Reported by:    daniel.engberg.lists@pyret.net

 security/Makefile                |  1 -
 security/ncrack/Makefile (gone)  | 29 -----------------------------
 security/ncrack/distinfo (gone)  |  3 ---
 security/ncrack/pkg-descr (gone) |  7 -------
 security/ncrack/pkg-plist (gone) | 11 -----------
 5 files changed, 51 deletions(-)